--     ____                _       __               
--    / __ )____  _____   | |     / /___ ___________
--   / __  / __ \/ ___/   | | /| / / __ `/ ___/ ___/
--  / /_/ / /_/ (__  )    | |/ |/ / /_/ / /  (__  ) 
-- /_____/\____/____/     |__/|__/\__,_/_/  /____/  
--                                              
--       A futuristic real-time strategy game.
--          This file is part of Bos Wars.
--
--	unit-karots.lua	-	Define the karots units.
--
--	(c) Copyright 2005 by Los Taulelle, Graphics by TimberDragon.
--
--      This program is free software; you can redistribute it and/or modify
--      it under the terms of the GNU General Public License as published by
--      the Free Software Foundation; either version 2 of the License, or
--      (at your option) any later version.
--  
--      This program is distributed in the hope that it will be useful,
--      but WITHOUT ANY WARRANTY; without even the implied warranty of
--      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--      GNU General Public License for more details.
--  
--      You should have received a copy of the GNU General Public License
--      along with this program; if not, write to the Free Software
--      Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
--
--	$Id: unit-karots.lua 85 2007-12-13 22:15pm rg $

-- Define, Animation and Construction for all karots

DefineAnimations("animations-karots", {
	Still = {"frame 0", "wait 1", },
})

DefineConstruction("construction-karots", {
	Constructions = {
		{Percent = 0, File = "main", Frame = 0},
	}
})

-- karot-1

DefineUnitType("unit-karot-1", {
    Name = "karot-1",
    Image = {"file", "units/karots/karot_1.png", "size", {64, 128}},
    Offset = {0, -48},
    Shadow = {"file", "units/karots/karot_1s.png", "size", {64, 128}},
    Animations = "animations-karots",
    Icon = "icon-karot-1",
    Construction = "construction-karots",
    HitPoints = 50,
    DrawLevel = 2,
    VisibleUnderFog = true,
    NeutralMinimapColor = {196, 196, 196},
    TileSize = {1, 1},
    BoxSize = {48, 48},
    Armor = 10,
    Missile = "missile-none",
    Priority = 0,
    ExplodeWhenKilled = "missile-explosion",
    Corpse = "unit-destroyed-1x1-place",
    Type = "land",
    Building = true,
    Neutral = true,
    NumDirections = 1,
    Sounds = {}
})

DefineIcon({
    Name = "icon-karot-1",
    Size = {46, 38},
    Frame = 0,
    File = "units/karots/karot_1i.png"})

DefineAllow("unit-karot-1", AllowAll)

-- karot-2

DefineUnitType("unit-karot-2", {
    Name = "karot-2",
    Image = {"file", "units/karots/karot_2.png", "size", {64, 128}},
    Offset = {8, -48},
    Shadow = {"file", "units/karots/karot_2s.png", "size", {64, 128}},
    Animations = "animations-karots",
    Icon = "icon-karot-2",
    Construction = "construction-karots",
    HitPoints = 50,
    DrawLevel = 2,
    VisibleUnderFog = true,
    NeutralMinimapColor = {196, 196, 196},
    TileSize = {1, 1},
    BoxSize = {48, 48},
    Armor = 10,
    Missile = "missile-none",
    Priority = 0,
    ExplodeWhenKilled = "missile-explosion",
    Corpse = "unit-destroyed-1x1-place",
    Type = "land",
    Building = true,
    Neutral = true,
    NumDirections = 1,
    Sounds = {}
})

DefineIcon({
    Name = "icon-karot-2",
    Size = {46, 38},
    Frame = 0,
    File = "units/karots/karot_2i.png"})

DefineAllow("unit-karot-2", AllowAll)

-- karot-3

DefineUnitType("unit-karot-3", {
    Name = "karot-3",
    Image = {"file", "units/karots/karot_3.png", "size", {64, 128}},
    Offset = {0, -48},
    Shadow = {"file", "units/karots/karot_3s.png", "size", {64, 128}},
    Animations = "animations-karots",
    Icon = "icon-karot-3",
    Construction = "construction-karots",
    HitPoints = 50,
    DrawLevel = 2,
    VisibleUnderFog = true,
    NeutralMinimapColor = {196, 196, 196},
    TileSize = {1, 1},
    BoxSize = {48, 48},
    Armor = 10,
    Missile = "missile-none",
    Priority = 0,
    ExplodeWhenKilled = "missile-explosion",
    Corpse = "unit-destroyed-1x1-place",
    Type = "land",
    Building = true,
    Neutral = true,
    NumDirections = 1,
    Sounds = {}
})

DefineIcon({
    Name = "icon-karot-3",
    Size = {46, 38},
    Frame = 0,
    File = "units/karots/karot_3i.png"})

DefineAllow("unit-karot-3", AllowAll)

-- karot-4

DefineUnitType("unit-karot-4", {
    Name = "karot-4",
    Image = {"file", "units/karots/karot_4.png", "size", {64, 128}},
    Offset = {0, -48},
    Shadow = {"file", "units/karots/karot_4s.png", "size", {64, 128}},
    Animations = "animations-karots",
    Icon = "icon-karot-4",
    Construction = "construction-karots",
    HitPoints = 50,
    DrawLevel = 2,
    VisibleUnderFog = true,
    NeutralMinimapColor = {196, 196, 196},
    TileSize = {1, 1},
    BoxSize = {48, 48},
    Armor = 10,
    Missile = "missile-none",
    Priority = 0,
    ExplodeWhenKilled = "missile-explosion",
    Corpse = "unit-destroyed-1x1-place",
    Type = "land",
    Building = true,
    Neutral = true,
    NumDirections = 1,
    Sounds = {}
})

DefineIcon({
    Name = "icon-karot-4",
    Size = {46, 38},
    Frame = 0,
    File = "units/karots/karot_4i.png"})

DefineAllow("unit-karot-4", AllowAll)